Bug 16263 - Making authority tags and subfields actions buttons
Summary: Making authority tags and subfields actions buttons
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-14 22:08 UTC by Aleisha Amohia
Modified: 2016-12-05 21:27 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16263: making authority tags and subfields actions buttons (3.91 KB, patch)
2016-04-14 22:10 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Menu gets cut off if browser window isn't very wide (15.75 KB, image/png)
2016-04-15 13:52 UTC, Owen Leonard
Details
Bug 16263: making authority tags and subfields actions buttons (5.34 KB, patch)
2016-04-17 22:37 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16263: making authority tags and subfields actions buttons (3.92 KB, patch)
2016-04-25 21:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16263: making authority tags and subfields actions buttons (3.98 KB, patch)
2016-04-26 04:01 UTC, Arslan Farooq
Details | Diff | Splinter Review
Bug 16263: making authority tags and subfields actions buttons (4.00 KB, patch)
2016-04-27 00:35 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16263: making authority tags and subfields actions buttons (4.10 KB, patch)
2016-04-27 02:23 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 16263: making authority tags and subfields actions buttons (4.16 KB, patch)
2016-04-27 08:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-04-14 22:08:45 UTC
Moving the actions for authority framework tags into a drop down menu
Making the Delete action for subfields a font awesome button
Comment 1 Aleisha Amohia 2016-04-14 22:10:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-04-15 13:52:58 UTC Comment hidden (obsolete)
Comment 3 Aleisha Amohia 2016-04-17 22:37:49 UTC Comment hidden (obsolete)
Comment 4 Arslan Farooq 2016-04-18 08:26:04 UTC
We need to make 
<ul class="dropdown-menu pull-left" 

to

<ul class="dropdown-menu pull-right"

at line 167 as Owen pointed out.
Comment 5 Aleisha Amohia 2016-04-21 22:29:07 UTC
(In reply to Arslan Farooq from comment #4)
> We need to make 
> <ul class="dropdown-menu pull-left" 
> 
> to
> 
> <ul class="dropdown-menu pull-right"
> 
> at line 167 as Owen pointed out.

I did make this change?
Comment 6 Owen Leonard 2016-04-22 01:12:55 UTC
The latest patch removes "pull-right" from authtypes.tt but doesn't add it to auth_tag_structure.tt.
Comment 7 Aleisha Amohia 2016-04-25 21:46:04 UTC
(In reply to Owen Leonard from comment #6)
> The latest patch removes "pull-right" from authtypes.tt but doesn't add it
> to auth_tag_structure.tt.

Sorry, I misunderstood. Making changes now
Comment 8 Aleisha Amohia 2016-04-25 21:46:26 UTC Comment hidden (obsolete)
Comment 9 Arslan Farooq 2016-04-26 03:41:06 UTC
Hi,

The patch works fine. Everything looks OK.

However the qa tools fails. It says: http://paste.koha-community.org/419

Note: I made sure master branch was up to date. And tested the patch on a fresh checked out branch.
Comment 10 Bernardo Gonzalez Kriegel 2016-04-26 04:00:41 UTC
> 
> However the qa tools fails. It says: http://paste.koha-community.org/419
> 

No fails for me

$ qa -c 1
testing 1 commit(s) (applied to 9648cd2 'Bug 12267 - Update DB Schema files')

Processing files before patches
|========================>| 2 / 2 (100.00%)
Processing files after patches
|========================>| 2 / 2 (100.00%)

 OK	koha-tmpl/intranet-tmpl/prog/en/modules/admin/auth_subfields_structure.tt
 OK	koha-tmpl/intranet-tmpl/prog/en/modules/admin/auth_tag_structure.tt
Comment 11 Arslan Farooq 2016-04-26 04:01:20 UTC Comment hidden (obsolete)
Comment 12 Owen Leonard 2016-04-26 11:56:08 UTC
(In reply to Arslan Farooq from comment #11)
>    FAIL	  valid_template
> 		Attempt to reload Koha/Template/Plugin/Koha.pm aborted.
> Compilation failed in require at
> /usr/local/lib/perl/5.14.2/Template/Plugins.pm line 206.

I get this error all the time and I've always assumed that it's because I'm testing in a gitified package installation. What kind of test system are you working with?
Comment 13 Arslan Farooq 2016-04-26 15:18:29 UTC
Thanks Owen. I also tested on gitified Koha installation...using Vagrant.
Comment 14 Katrin Fischer 2016-04-26 22:02:03 UTC
I am not sure about the "i" symbol for showing the subfields list - why not use the "eye" as we have in other places?

Thanks for fixing 'subfields' - that was bugging me since forever!
Comment 15 Aleisha Amohia 2016-04-27 00:35:59 UTC Comment hidden (obsolete)
Comment 16 Bernardo Gonzalez Kriegel 2016-04-27 02:23:49 UTC Comment hidden (obsolete)
Comment 17 Katrin Fischer 2016-04-27 08:25:44 UTC
Created attachment 50787 [details] [review]
[PASSED QA] Bug 16263: making authority tags and subfields actions buttons

EDIT: Subfields icon, 'i' to eye

To test:
1) Go to Admin -> Authority types
2) Click the dropdown for one of the frameworks and click MARC structure
3) Confirm the actions subfields, edit and delete all show in the dropdown and work as expected
4) Click subfields
5) Confirm the action delete on this page shows as a font awesome button and works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Arslan Farooq <arslanone@gmail.com>

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Another sign, pretty eye.
No errors.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Kyle M Hall 2016-04-29 11:40:47 UTC
Pushed to master, should be in the May 2016 release! Kamsa hamnida Aleisha!